Name:           txw2
Version:        20110809
Release:        1%{?dist}
Summary:        Common code for some Glassfish projects
Group:          Development/Libraries
License:        CDDL and GPLv2
URL:            http://codemodel.java.net

# svn export https://svn.java.net/svn/jaxb~version2/tags/txw2-project-20110809/ txw2-20110809
# tar -zcvf txw2-20110809.tar.gz txw2-20110809
Source0:        %{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-pom.patch
Patch1:         %{name}-%{version}-args4j.patch

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    args4j
BuildRequires:    xsom
BuildRequires:    rngom

Requires:       rngom
Requires:       xsom
Requires:       args4j
Requires:       jpackage-utils
Requires:       java

%description
Code shared between JAXP, JAXB, SAAJ, and JAX-WS projects.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
cp -p runtime/target/txw2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-runtime.jar
cp -p compiler/target/txwc2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-compiler.jar

# JAVADOC
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
cp -p pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
cp -p runtime/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-runtime.pom
cp -p compiler/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-compiler.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom
%add_maven_depmap JPP-%{name}-runtime.pom %{name}-runtime.jar
%add_maven_depmap JPP-%{name}-compiler.pom %{name}-compiler.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc license.txt

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Jan 16 2012 Marek Goldmann <mgoldman@redhat.com> 20110809-1
- Initial packaging
